babel-loader versions and peer dependencies

The table below has a list of all versions of babel-loader compatible peers dependencies.

Version Peer Dependency Versions
8.0.0 - 8.2.2
  • @babel/core @ ^7.0.0
  • webpack @ >=2
7.1.3 - 7.1.5
  • babel-core @ 6
  • webpack @ 2 || 3 || 4
7.1.0 - 7.1.2
  • babel-core @ 6 || 7 || ^7.0.0-alpha || ^7.0.0-beta || ^7.0.0-rc
  • webpack @ 2 || 3
7.0.0
  • babel-core @ 6 || 7 || ^7.0.0-alpha || ^7.0.0-beta || ^7.0.0-rc
  • webpack @ 2
6.2.10 - 6.4.1
  • babel-core @ ^6.0.0
  • webpack @ 1 || 2 || ^2.1.0-beta || ^2.2.0-rc
6.2.4 - 6.2.9
  • babel-core @ ^6.0.0
  • webpack @ 1 || ^2.1.0-beta
6.2.3
  • babel-core @ ^6.0.0
  • webpack @ 1 - 2 || 2.0.6-beta || 2.0.7-beta
6.2.2
  • babel-core @ ^6.0.0
  • webpack @ ^1.0.0 || 2.0.6-beta || ^2.0.0
6.2.0 - 6.2.1
  • babel-core @ ^6.0.0
  • webpack @ ^1.0.0
6.0.0 - 6.1.0
  • babel-core @ ^6.0.0
  • webpack @ *
5.4.1 - 5.4.2
  • babel-core @ ^5.0.0
  • webpack @ 1 || 2 || ^2.1.0-beta
5.3.3 - 5.4.0
  • babel-core @ ^5.0.0
  • webpack @ *
5.0.0 - 5.3.2
  • babel-core @ *
  • webpack @ *
4.3.0
  • babel-core @ ^4.7.0
  • webpack @ ^1.4.5
4.1.0 - 4.2.0
  • babel-core @ ^4.7.0
  • webpack @ ^1.4.5
4.0.0
  • babel-core @ ^4.0.0
  • webpack @ ^1.4.5